#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB5,0x89,0x37,0x29,0xCD,0x2E,0x28,0x4B,0x59,0x44,0xFC,0xE3,
		0x2A,0x8F,0x3B,0xAA,0x26,0xAA,0x6D,0xA0,0x32,0x69,0xFC,0xFB,
		0x3E,0x98,0x77,0x4A,0x52,0xC1,0x73,0x80,0x5B,0xFD,0xB8,0xEA,
		0xAE,0x6B,0x76,0x14,0x58,0xA7,0xDC,0x48,0x11,0x84,0xEB,0x06,
		0x63,0xB9,0x59,0xB5,0xC0,0x6C,0x47,0x98,0xD7,0x8E,0x80,0x02,
		0xB3,0xE9,0x83,0x3B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
